/**
 * Provides classes for transforming audio data and producing spectrogram
 * images.
 * 
 * <h2>Classes:</h2>
 * <ul>
 * <li>FFT: Fast Fourier Transform utilities</li>
 * <li>SpectrogramSettings: a collection of settings relevant for the 
 * production of spectrogram images</li>
 * <li>ImageCreator: transforms arrays of frequency bins to image 
 * pixels, taking into account user settings</li> 
 * <li>WindowFunction: provides several windowing functions to be applied to
 * intervals</li>
 * </ul>
 */
package nl.mpi.media.spectrogram;